%def_disable static

Name: libtunepimp
Version: 0.5.3
Release: alt2

Group: System/Libraries
Summary: Library that provides access to the MusicBrainz server
License: LGPL

Url: http://www.musicbrainz.org/

Source: ftp://ftp.musicbrainz.org/pub/musicbrainz/%name-%version.tar.gz
Patch: libtunepimp-0.5.3-alt-system-ltdl.patch

# Automatically added by buildreq on Mon Mar 26 2007
BuildRequires: gcc-c++ libcurl-devel libexpat-devel libflac-devel libltdl-devel
BuildRequires: libmad-devel libmpcdec-devel libmpeg4ip-devel libmusicbrainz-devel
BuildRequires: libofa-devel libtag-devel libvorbis-devel

%description
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable Audio CD and MP3/Vorbis players to download
metadata about the music they are playing.

The TunePimp library (also referred to as libtunepimp) is a development
library geared towards developers who wish to create MusicBrainz enabled
tagging applications.

%package devel
Summary: Include Files and Libraries mandatory for Development
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require TunePimp library.

%prep
%setup -q

%patch -p1

%build
%__autoreconf
%configure \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc AUTHORS ChangeLog README.*
%_bindir/puid
%_libdir/*.so.*
%_libdir/tunepimp

%files devel
%_includedir/tunepimp-0.5
%_libdir/*.so

%changelog
* Wed May 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.3-alt2
- rebuild with libmpcdec.so.5

* Mon Mar 26 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.3-alt1
- 0.5.3

* Wed Dec 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.4.4-alt1
- NMU: update to 0.4.4:
  + Fixed cycling in case of unsupported file format.
  + Fixed buffer overflow in lookuptools.cpp (patch by urs_fleisch at yahoo dot de).
  + Fixed memleaks in the WMA plugin.

* Mon Feb 13 2006 Mikhail Yakshin <greycat@altlinux.org> 0.4.2-alt1
- 0.4.2

* Fri Dec 23 2005 Mikhail Yakshin <greycat@altlinux.org> 0.4.0-alt2
- added patch to disallow several characters for FAT32/NTFS systems

* Mon Dec 05 2005 Mikhail Yakshin <greycat@altlinux.org> 0.4.0-alt1
- 0.4.0

* Tue Feb 22 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.0-alt1.1.1
- Rebuilt with libflac-1.1.2-alt1

* Tue Jan 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1.1
- rebuild with g++-3.4.

* Thu Oct 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- First build for Sisyphus.

